tigase.eventbus.impl

## Class ReflectEventSourceListenerHandler

- java.lang.Object
- - tigase.eventbus.impl.AbstractHandler
  - - tigase.eventbus.impl.ReflectEventListenerHandler
    - - tigase.eventbus.impl.ReflectEventSourceListenerHandler

-     public class ReflectEventSourceListenerHandler
      extends ReflectEventListenerHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.eventbus.impl.AbstractHandler

      `AbstractHandler.Type`

  - ### Field Summary

    - ### Fields inherited from class tigase.eventbus.impl.ReflectEventListenerHandler

      `consumerObject, filter, handlerMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectEventSourceListenerHandler(HandleEvent.Type filter, String packageName, String eventName, Object consumerObject, Method handlerMethod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(Object event, Object source, boolean remotelyGeneratedEvent)`

    - ### Methods inherited from class tigase.eventbus.impl.ReflectEventListenerHandler

      `equals, getRequiredEventType, hashCode`

    - ### Methods inherited from class tigase.eventbus.impl.AbstractHandler

      `getEventName, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReflectEventSourceListenerHandler

          public ReflectEventSourceListenerHandler(HandleEvent.Type filter,
                                                   String packageName,
                                                   String eventName,
                                                   Object consumerObject,
                                                   Method handlerMethod)

  - ### Method Detail

    - #### dispatch

          public void dispatch(Object event,
                               Object source,
                               boolean remotelyGeneratedEvent)

      Overrides:
        `dispatch` in class `ReflectEventListenerHandler`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.